<?php
$tdataproduct_categories = array();
$tdataproduct_categories[".searchableFields"] = array();
$tdataproduct_categories[".ShortName"] = "product_categories";
$tdataproduct_categories[".OwnerID"] = "";
$tdataproduct_categories[".OriginalTable"] = "product_categories";


$tdataproduct_categories[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataproduct_categories[".originalPagesByType"] = $tdataproduct_categories[".pagesByType"];
$tdataproduct_categories[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataproduct_categories[".originalPages"] = $tdataproduct_categories[".pages"];
$tdataproduct_categories[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataproduct_categories[".originalDefaultPages"] = $tdataproduct_categories[".defaultPages"];

//	field labels
$fieldLabelsproduct_categories = array();
$fieldToolTipsproduct_categories = array();
$pageTitlesproduct_categories = array();
$placeHoldersproduct_categories = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsproduct_categories["English"] = array();
	$fieldToolTipsproduct_categories["English"] = array();
	$placeHoldersproduct_categories["English"] = array();
	$pageTitlesproduct_categories["English"] = array();
	$fieldLabelsproduct_categories["English"]["id"] = "Id";
	$fieldToolTipsproduct_categories["English"]["id"] = "";
	$placeHoldersproduct_categories["English"]["id"] = "";
	$fieldLabelsproduct_categories["English"]["product_categories"] = "Product Categories";
	$fieldToolTipsproduct_categories["English"]["product_categories"] = "";
	$placeHoldersproduct_categories["English"]["product_categories"] = "";
	if (count($fieldToolTipsproduct_categories["English"]))
		$tdataproduct_categories[".isUseToolTips"] = true;
}


	$tdataproduct_categories[".NCSearch"] = true;



$tdataproduct_categories[".shortTableName"] = "product_categories";
$tdataproduct_categories[".nSecOptions"] = 0;

$tdataproduct_categories[".mainTableOwnerID"] = "";
$tdataproduct_categories[".entityType"] = 0;
$tdataproduct_categories[".connId"] = "new_lakmini_at_localhost";


$tdataproduct_categories[".strOriginalTableName"] = "product_categories";

	



$tdataproduct_categories[".showAddInPopup"] = false;

$tdataproduct_categories[".showEditInPopup"] = false;

$tdataproduct_categories[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataproduct_categories[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataproduct_categories[".listAjax"] = false;
//	temporary
$tdataproduct_categories[".listAjax"] = false;

	$tdataproduct_categories[".audit"] = false;

	$tdataproduct_categories[".locking"] = false;


$pages = $tdataproduct_categories[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataproduct_categories[".edit"] = true;
	$tdataproduct_categories[".afterEditAction"] = 1;
	$tdataproduct_categories[".closePopupAfterEdit"] = 1;
	$tdataproduct_categories[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataproduct_categories[".add"] = true;
$tdataproduct_categories[".afterAddAction"] = 1;
$tdataproduct_categories[".closePopupAfterAdd"] = 1;
$tdataproduct_categories[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataproduct_categories[".list"] = true;
}



$tdataproduct_categories[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataproduct_categories[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataproduct_categories[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataproduct_categories[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataproduct_categories[".printFriendly"] = true;
}



$tdataproduct_categories[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataproduct_categories[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataproduct_categories[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataproduct_categories[".isUseAjaxSuggest"] = true;

$tdataproduct_categories[".rowHighlite"] = true;



			

$tdataproduct_categories[".ajaxCodeSnippetAdded"] = false;

$tdataproduct_categories[".buttonsAdded"] = false;

$tdataproduct_categories[".addPageEvents"] = false;

// use timepicker for search panel
$tdataproduct_categories[".isUseTimeForSearch"] = false;


$tdataproduct_categories[".badgeColor"] = "9ACD32";


$tdataproduct_categories[".allSearchFields"] = array();
$tdataproduct_categories[".filterFields"] = array();
$tdataproduct_categories[".requiredSearchFields"] = array();

$tdataproduct_categories[".googleLikeFields"] = array();
$tdataproduct_categories[".googleLikeFields"][] = "id";
$tdataproduct_categories[".googleLikeFields"][] = "product_categories";



$tdataproduct_categories[".tableType"] = "list";

$tdataproduct_categories[".printerPageOrientation"] = 0;
$tdataproduct_categories[".nPrinterPageScale"] = 100;

$tdataproduct_categories[".nPrinterSplitRecords"] = 40;

$tdataproduct_categories[".geocodingEnabled"] = false;










$tdataproduct_categories[".pageSize"] = 20;

$tdataproduct_categories[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataproduct_categories[".strOrderBy"] = $tstrOrderBy;

$tdataproduct_categories[".orderindexes"] = array();


$tdataproduct_categories[".sqlHead"] = "SELECT id,  	product_categories";
$tdataproduct_categories[".sqlFrom"] = "FROM product_categories";
$tdataproduct_categories[".sqlWhereExpr"] = "";
$tdataproduct_categories[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataproduct_categories[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataproduct_categories[".arrGroupsPerPage"] = $arrGPP;

$tdataproduct_categories[".highlightSearchResults"] = true;

$tableKeysproduct_categories = array();
$tableKeysproduct_categories[] = "id";
$tdataproduct_categories[".Keys"] = $tableKeysproduct_categories;


$tdataproduct_categories[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "product_categories";
	$fdata["Label"] = GetFieldLabel("product_categories","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproduct_categories["id"] = $fdata;
		$tdataproduct_categories[".searchableFields"][] = "id";
//	product_categories
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "product_categories";
	$fdata["GoodName"] = "product_categories";
	$fdata["ownerTable"] = "product_categories";
	$fdata["Label"] = GetFieldLabel("product_categories","product_categories");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "product_categories";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "product_categories";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproduct_categories["product_categories"] = $fdata;
		$tdataproduct_categories[".searchableFields"][] = "product_categories";


$tables_data["product_categories"]=&$tdataproduct_categories;
$field_labels["product_categories"] = &$fieldLabelsproduct_categories;
$fieldToolTips["product_categories"] = &$fieldToolTipsproduct_categories;
$placeHolders["product_categories"] = &$placeHoldersproduct_categories;
$page_titles["product_categories"] = &$pageTitlesproduct_categories;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["product_categories"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["product_categories"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_product_categories()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	product_categories";
$proto0["m_strFrom"] = "FROM product_categories";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "product_categories",
	"m_srcTableName" => "product_categories"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "product_categories";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "product_categories",
	"m_strTable" => "product_categories",
	"m_srcTableName" => "product_categories"
));

$proto8["m_sql"] = "product_categories";
$proto8["m_srcTableName"] = "product_categories";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "product_categories";
$proto11["m_srcTableName"] = "product_categories";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "product_categories";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "product_categories";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "product_categories";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="product_categories";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_product_categories = createSqlQuery_product_categories();


	
		;

		

$tdataproduct_categories[".sqlquery"] = $queryData_product_categories;



$tableEvents["product_categories"] = new eventsBase;
$tdataproduct_categories[".hasEvents"] = false;

?>